/*
    sevensegment.h
    Copyright (C) 2014
    Authors: Arun I, Hari Prasad Gokul R 

    This file is part of Quiz Buzzer v2 firmware.

    Quiz Buzzer v2 firmware is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Quiz Buzzer v2 firmware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Quiz Buzzer v2 firmware.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SEVENSEGMENT_H
#define SEVENSEGMENT_H

#include <simavr/sim_avr.h>
#include <simavr/sim_irq.h>

#define SEVENSEGMENT_COMMON_ANODE 0xff
#define SEVENSEGMENT_COMMON_CATHODE 0x00

typedef struct sevensegment_t {
	avr_irq_t* irq;
	avr_t* avr;
	uint8_t common;
	uint8_t value;
} sevensegment_t;

void sevensegment_init(avr_t* avr, sevensegment_t* seg, uint8_t common, const char* name);

#endif
