/*
    pins.h
    Copyright (C) 2014
    Authors: Arun I, Hari Prasad Gokul R 

    This file is part of Quiz Buzzer v2 firmware.

    Quiz Buzzer v2 firmware is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Quiz Buzzer v2 firmware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Quiz Buzzer v2 firmware.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
  * @file
  *
  * Header file containing the pin out of the Atmega8 on the buzzer PCB
  */
#ifndef PINS_H
#define PINS_H

/**
  * @def DDR(x)
  * Data direction register of port x
  * @def PIN(x)
  * Input register of port x
  */
#define DDR(x) (*(&x - 1))
#define PIN(x) (*(&x - 2))

/**
 * @def SWITCHES_PORT
 * Port for the 8 team switches
 */
#define SWITCHES_PORT PORTD

/**
 * @def DISPLAY_PORT
 * Port for the seven segment display and buzzer
 * @def BUZZER
 * Pin no for the buzzer
 */
#define DISPLAY_PORT PORTB
#define BUZZER PB7

/**
 * @def MASTER_RESET_PORT
 * Port for the quiz master reset switch
 * @def MASTER_RESET
 * Pin no for the quiz master reset switch
 */
#define MASTER_RESET_PORT PORTC
#define MASTER_RESET PC5

#endif
